<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Ciao Code Documentation: object_volfrac_func_m.f90 File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Ciao Code Documentation
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_68267d1309a1af8e8297ef4c3efbcdba.html">src</a></li><li class="navelem"><a class="el" href="dir_d3e05aca7a3899228bc73874ca6b8d8d.html">sd</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Data Types</a> &#124;
<a href="#namespaces">Modules</a> &#124;
<a href="#func-members">Functions/Subroutines</a> &#124;
<a href="#var-members">Variables</a>  </div>
  <div class="headertitle">
<div class="title">object_volfrac_func_m.f90 File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Data Types</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">interface &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="interfaceobject__volfrac__func__m_1_1object__volfrac__hook.html">object_volfrac_func_m::object_volfrac_hook</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="namespaces"></a>
Modules</h2></td></tr>
<tr class="memitem:namespaceobject__volfrac__func__m"><td class="memItemLeft" align="right" valign="top">module &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html">object_volfrac_func_m</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions/Subroutines</h2></td></tr>
<tr class="memitem:a6e2a86dec1a5b3e83a4896d4822a53a7"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a6e2a86dec1a5b3e83a4896d4822a53a7">object_volfrac_func_m::register_sd_volfrac</a> (sd)</td></tr>
<tr class="separator:a6e2a86dec1a5b3e83a4896d4822a53a7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4db495860cf4804e94a8f7876a4e7b2c"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a4db495860cf4804e94a8f7876a4e7b2c">object_volfrac_func_m::update_sd_volfrac</a> (sd, tag, EXIST_MOVEMENT)</td></tr>
<tr class="separator:a4db495860cf4804e94a8f7876a4e7b2c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9e6b1f3a7a9ea17c47b5ea35a8bc3a79"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a9e6b1f3a7a9ea17c47b5ea35a8bc3a79">object_volfrac_func_m::sync_object_levelset_w_volfrac</a> (volfrac, sd, pde_iter, USE_HEIGHT_FN)</td></tr>
<tr class="separator:a9e6b1f3a7a9ea17c47b5ea35a8bc3a79"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9ac88ba1049ce3502bbec93743d64596"><td class="memItemLeft" align="right" valign="top">subroutine, public&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a9ac88ba1049ce3502bbec93743d64596">object_volfrac_func_m::volfrac2lvlset_height_fn</a> (volfrac, sd)</td></tr>
<tr class="separator:a9ac88ba1049ce3502bbec93743d64596"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a95446f0245b3e7adb8a84abbbd61a5a2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a95446f0245b3e7adb8a84abbbd61a5a2">object_volfrac_func_m::object_levelset_pde_reinit_init</a> (var, sd)</td></tr>
<tr class="separator:a95446f0245b3e7adb8a84abbbd61a5a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7c9aee7c7f554258e92493370439a024"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a7c9aee7c7f554258e92493370439a024">object_volfrac_func_m::object_levelset_pde_prestep</a> (var, sd)</td></tr>
<tr class="separator:a7c9aee7c7f554258e92493370439a024"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a63810b38e3cf14b0b05fb8f6cac1ec54"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a63810b38e3cf14b0b05fb8f6cac1ec54">object_volfrac_func_m::object_levelset_pde_reinit</a> (var, sd)</td></tr>
<tr class="separator:a63810b38e3cf14b0b05fb8f6cac1ec54"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad9b088681ba48906c59bac83e9a08e4e"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#ad9b088681ba48906c59bac83e9a08e4e">object_volfrac_func_m::levelset_centerline_average</a> (LVLSET, sd)</td></tr>
<tr class="separator:ad9b088681ba48906c59bac83e9a08e4e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a826b97ed6900dbd926ddca3ad5c188a2"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a826b97ed6900dbd926ddca3ad5c188a2">object_volfrac_func_m::init_pde_metric</a> (sd)</td></tr>
<tr class="separator:a826b97ed6900dbd926ddca3ad5c188a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af7336792533b295436ad4c3fec054ad1"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#af7336792533b295436ad4c3fec054ad1">object_volfrac_func_m::update_pde_metric</a> (sd)</td></tr>
<tr class="separator:af7336792533b295436ad4c3fec054ad1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8618770fd0502b5e08fd15635a173b2d"><td class="memItemLeft" align="right" valign="top">subroutine&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a8618770fd0502b5e08fd15635a173b2d">object_volfrac_func_m::cleanup_pde_metric</a> ()</td></tr>
<tr class="separator:a8618770fd0502b5e08fd15635a173b2d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="var-members"></a>
Variables</h2></td></tr>
<tr class="memitem:a25769d9891ef524f84bf305e8dc14bb6"><td class="memItemLeft" align="right" valign="top">logical&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a25769d9891ef524f84bf305e8dc14bb6">object_volfrac_func_m::initialized</a> = .FALSE.</td></tr>
<tr class="separator:a25769d9891ef524f84bf305e8dc14bb6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1d9411b85b58f246f866eec2c5058235"><td class="memItemLeft" align="right" valign="top">integer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a1d9411b85b58f246f866eec2c5058235">object_volfrac_func_m::rk_reinit_order</a></td></tr>
<tr class="separator:a1d9411b85b58f246f866eec2c5058235"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af1ccdd2231a21fb839a4c698b2969e08"><td class="memItemLeft" align="right" valign="top">real(wp), dimension(:,:), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#af1ccdd2231a21fb839a4c698b2969e08">object_volfrac_func_m::rk_coeff</a> =&gt; null()</td></tr>
<tr class="separator:af1ccdd2231a21fb839a4c698b2969e08"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a989542f7fff37db8532728399ca9309e"><td class="memItemLeft" align="right" valign="top">type(<a class="el" href="structobject__volfrac__defs__m_1_1object__levelset__solver__t.html">object_levelset_solver_t</a>), pointer&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#a989542f7fff37db8532728399ca9309e">object_volfrac_func_m::solver</a> =&gt; null()</td></tr>
<tr class="separator:a989542f7fff37db8532728399ca9309e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae78603962708c7c5563d990fde2cd53c"><td class="memItemLeft" align="right" valign="top">logical, private&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceobject__volfrac__func__m.html#ae78603962708c7c5563d990fde2cd53c">object_volfrac_func_m::alloc_dgdt</a></td></tr>
<tr class="separator:ae78603962708c7c5563d990fde2cd53c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Fri Aug 7 2020 16:17:49 for Ciao Code Documentation by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
